Bug 1337803 - [RFE] Simplify templates list for triggering deployment
Summary: [RFE] Simplify templates list for triggering deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Dougal Matthews
QA Contact: Amit Ugol
URL: https://blueprints.launchpad.net/trip...
Whiteboard: upstream_milestone_newton-rc1 upstrea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 06:19 UTC by Jaromir Coufal
Modified: 2016-12-14 15:35 UTC (History)
8 users (show)

Fixed In Version: openstack-heat-templates-0-0.5.1e6015dgit.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:35:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Jaromir Coufal 2016-05-20 06:19:27 UTC
Blueprint: [will be treated as upstream BUG, see URL]

Currently user has to list thousand of templates in certain order
Let user to provide only single template combining all other templates

Comment 1 RHEL Product and Program Management 2016-08-02 11:37:57 UTC
Quality Engineering Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 2 Jaromir Coufal 2016-08-08 15:46:15 UTC
This is almost done. The only request for QE will be to use different call for deployment in the CI, no need for more specific testing.

Comment 5 James Slagle 2016-10-18 15:39:01 UTC
i think this should be blocker, not exception since the UI (https://bugzilla.redhat.com/show_bug.cgi?id=1375413) is also a blocker and depends on this work.

Comment 7 Jaromir Coufal 2016-10-18 20:25:02 UTC
Removing blocker flag:
* GUI is not dependent on this exactly (they are getting data from swift and storing in the memory)
* QE is not using this commands in RHOSP10 testing

We will see if Amit can test this Heat feature in OSP10. If not, we will make it test only feature for Ocata-1.

Goal of this is to test whether deployment pointing to
A) swift container or
B) directory containing templates
works.

Comment 8 Jaromir Coufal 2016-10-18 20:34:08 UTC
Amit, would you be able to test this one for RHOSP10?

Comment 9 Amit Ugol 2016-11-01 05:17:14 UTC
It all depends on the testing progress and state of current puddles. I have good confidence that this feature will be tested and it will work well but there are a few test cases that still haven't been tested without-which I cannot verify it.
You can check that progress in the relevant test run.

Comment 11 Amit Ugol 2016-11-22 09:42:08 UTC
I wanted to make sure that templates are being read well and in the correct order while upgrading. Though upgrading still does not work in all scenarios, I do not think that any of those bugs are related to this feature, rather something with RHOS10. I am closing this RFE as verified, though there are still failed test cases.

Comment 13 errata-xmlrpc 2016-12-14 15:35:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.